For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • GETList Accounts
              • POSTCreate Account
              • GETGet Account
              • PUTUpdate Account
              • POSTCreate Account with Set Password
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferenceAccounts

Create Account

Beta
POST
https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts
POST
/franchises/franchise_uuid/v1/accounts
$curl -X POST https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "id": "acct_987654321",
> "name": "Greenfield Retailers",
> "user_email": "owner@greenfieldretailers.com",
> "primary_contact": {
> "first_name": "Emily",
> "last_name": "Johnson",
> "email": "emily.johnson@greenfieldretailers.com",
> "district": "California",
> "country": "US"
> }
>}'
1{
2 "data": {
3 "id": "acct_987654321"
4 },
5 "meta": {}
6}
This endpoint allows you to create a new account for a merchant under your franchise. In order to create a store for a merchant, an account must exist.
Was this page helpful?
Previous

List Accounts

Next

Get Account

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

idstringRequired>=1 character

Associated account ID within partner’s system. Must be unique within your franchise.

namestringRequired1-40 characters
Company name for the account and the name displayed at login when a merchant has multiple stores. 40 character limit.
user_emailstringRequired1-255 characters
Email address of the user who will be the store owner for the account.
primary_contactobjectRequired
billing_contactobjectOptional
Billing contact information for the Account
localestringOptionalDefaults to en

locale is used when sending email communications (such as account activation emails) to the accountʼs user_email.

Response

Success
dataobject
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
409
Conflict Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

1POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Secret: {client_secret}
5
6{
7 "duration": 900
8}

Response:

1{
2 "access_token": "dlkJcn34...Lkd012",
3 "expires_at": "2018-04-24T16:15:26.509045122Z”
4}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

1GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Token: {oauth_token}

Response:

1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 ...
6 },
7 "meta": {}
8}

The MIME type of the response body.